
RoleField = class()
local NEXT_FIELD_NUM = 1

function RoleField:draw(parent, x, y)
    self.field = CreateFrame("EditBox", "__RTT_RoleField_" .. tostring(NEXT_FIELD_NUM), parent, "InputBoxTemplate")
    self.field:SetAutoFocus(false)
    self.field:SetFontObject(ChatFontNormal)
    self.field:SetWidth(120)
    self.field:SetHeight(16)
    self.field:SetTextInsets(0, 0, 3, 3)
    self.field:SetPoint("TOPLEFT", x, y)
    self.field:Show()

    NEXT_FIELD_NUM = NEXT_FIELD_NUM + 1
end

function RoleField:GetText()
    return self.field:GetText()
end

function RoleField:SetText(text)
    self.field:SetText(text)
end
